#### D.6.13.5 monodromy

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  monodromy(t); poly t

Assume:
  characteristic 0; local degree ordering;
  isolated critical point 0 of t

Return:

      list l;  Jordan data jordan(M) of monodromy matrix exp(-2*pi*i*M)
        ideal l[1];
          number l[1][i];  eigenvalue of i-th Jordan block of M
        intvec l[2];
          int l[2][i];  size of i-th Jordan block of M
        intvec l[3];
          int l[3][i];  multiplicity of i-th Jordan block of M

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    poly t=x5+x2y2+y5;
    monodromy(t);
    ==> [1]:
    ==>    _[1]=1/2
    ==>    _[2]=7/10
    ==>    _[3]=9/10
    ==>    _[4]=1
    ==>    _[5]=11/10
    ==>    _[6]=13/10
    ==> [2]:
    ==>    2,1,1,1,1,1
    ==> [3]:
    ==>    1,2,2,1,2,2

See also: linalg_lib; mondromy_lib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.